/*
 *公共方法 
 *字典
 *
 *
 */

let DictUtil = {
    //病种字典
    diseaseDict :(str) =>{
        const codeDict = {
          "colon": "结直肠癌",
          "gastric": "胃癌",
          "stroke": "脑卒中",
        }
        for (let key in codeDict) {
          if (str == key) {
            return String(codeDict[key])
          }
          if (str == String(codeDict[key])) {
            return key
          }
          else {
            if (!str) {
              return "未知"
            }
          }
        }
      },
    //风险字典
    riskDict:(str,num)=>{
        let codeDict={
            "a": "高风险",
            "b": "中风险",
            "c": "低风险",
          }
        if(num==2){
         codeDict = {
            "a": "高危",
            "b": "中危",
            "c": "低危",
          }
        }
        for (let key in codeDict) {
          if (str == key) {
            return String(codeDict[key])
          }
          if (str == String(codeDict[key])) {
            return key
          }
          else {
            if (!str) {
              return "未知"
            }
          }
        }
    },
    //职业字典
    occupDict:(str)=>{
      const codeDict = {
        '1':'国家机关、党群组织、企业、事业单位负责人',      
        '2':'专业技术人员',                                  
        '3':'办事人员和有关人员',                            
        '4':'商业、服务业人员农、牧、林、渔、水利业生产人员',
        '5':'军人',                                          
        '99':'不便分类的其他从业人员'                        

      }
      for (let key in codeDict) {
        if (str == key) {
          return String(codeDict[key])
        }
        if (str == String(codeDict[key])) {
          return key
        }
        else {
          if (!str) {
            return "未知"
          }
        }
      }
    },
    //婚姻字典
    maritalDict:(str)=>{
      const codeDict = {
        "未婚":'10',           
        "已婚":'20',           
        "再婚":'22',           
        "丧偶":'30',           
        "离婚":'40',           
        "未说明的婚姻状况":'90'
      }
      for (let key in codeDict) {
        if (str == key) {
          return String(codeDict[key])
        }
        if (str == String(codeDict[key])) {
          return key
        }
        else {
          if (!str) {
            return "未知"
          }
        }
      }
    },
    //教育字典
    educaDict:(str)=>{
      const codeDict = {
        '10':'研究生班毕业',
        '20':'大学本科毕业',
        '30':'大学专科毕业',
        '40':'中等专科毕业',
        '47':'技工学校毕业',
        '60':'普通高中毕业',
        '70':'初中毕业',    
        '80':'小学毕业',    
        '90':'文盲或半文盲'
      }
      for (let key in codeDict) {
        if (str == key) {
          return String(codeDict[key])
        }
        if (str == String(codeDict[key])) {
          return key
        }
        else {
          if (!str) {
            return "未知"
          }
        }
      }
    }
}

export {
    DictUtil
};